commit:     23c760d8d40f63e8ca69533f8072cb760645ca2d
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 20 08:12:39 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Nov 20 09:54:38 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=23c760d8

dev-python/jeepney: Bump to 0.6.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/jeepney/Manifest             |  1 +
 dev-python/jeepney/jeepney-0.6.0.ebuild | 43 +++++++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/dev-python/jeepney/Manifest b/dev-python/jeepney/Manifest
index fa22b3d99df..a2155859b28 100644
--- a/dev-python/jeepney/Manifest
+++ b/dev-python/jeepney/Manifest
@@ -1,2 +1,3 @@
 DIST jeepney-0.4.3.tar.gz 28121 BLAKE2B 
2c9b5b5ec26a9af25d28af602827c73c8ec9377a88a4aa79b9a986675c1ef3f195763a338f3efa4ee371f7751dcf05a9f9cfed06c8d6677d81da3699773d5561
 SHA512 
bfb12c9259a57324759f8be44d1faf2c0535762e72db5f1370e64cb144c0fc537c9bc9cfb9b075932fb3a20e3ef4e0c990c10905cc5a69e3fb088e8de4193689
 DIST jeepney-0.5.0.tar.gz 48460 BLAKE2B 
5ce1fd0315ad839cf2e0ec5616a448da840d1d3b1720528a0cd858526815b062929ebdc92916820008969092bce470c88704deb96c6120c086f631d1312985b9
 SHA512 
ae80a363cac4944cb6a499450835176d63e29545b8025c6dd0241a08b35e7b2564beaab578cbba319799ec5530fd6fed7e9f910e401d68b46290617e5f739992
+DIST jeepney-0.6.0.tar.gz 49513 BLAKE2B 
e5f9b5104cf07dbcd2d40c2d22b690dfd56c456ab56daf44f4abee83f0bfe7e1dfbad797348044d51e3dc20fbc6ce68bf8df54f9c1e46d7a86ceb22d3ab30f8d
 SHA512 
140be9dd28ed853d2d41b6a8bbeb2f22c0270ce7bf33b943ec2ac010db17d4f06e253fa8637fbbb3044fe9ffdbfa1e15f0c663eb44bdd538f8c47c2e7dab3ca5

diff --git a/dev-python/jeepney/jeepney-0.6.0.ebuild 
b/dev-python/jeepney/jeepney-0.6.0.ebuild
new file mode 100644
index 00000000000..1c412f4100c
--- /dev/null
+++ b/dev-python/jeepney/jeepney-0.6.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=no
+PYTHON_COMPAT=( pypy3 python3_{6,7,8,9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, pure Python DBus protocol wrapper"
+HOMEPAGE="https://gitlab.com/takluyver/jeepney";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~x86"
+IUSE="examples"
+
+BDEPEND="
+       test? (
+               dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+               dev-python/testpath[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+distutils_enable_sphinx docs \
+       dev-python/sphinx_rtd_theme
+
+src_prepare() {
+       rm jeepney/io/tests/test_trio.py || die
+       distutils-r1_src_prepare
+}
+
+python_install_all() {
+       if use examples; then
+               docompress -x "/usr/share/doc/${PF}/examples"
+               dodoc -r examples
+       fi
+       distutils-r1_python_install_all
+}

Reply via email to